/*
Note 引入一二三級所有的組件，components
author 叶章浩
 */

let builtInPlugins = [];
const context = require.context(
    '../components',
    true,
    /index\.(vue)$/
);
context.keys().forEach(item => {
    let myItem=context(item).default;
    //note 公共组件全部预置
    if(myItem.name=="gaea-box"||myItem.name=="gaea-btns-oprator"||myItem.name=="gaea-container"||myItem.name=="gaea-button"){
        builtInPlugins.push(myItem);
    }
    if(myItem.name=="gaea-tip-alert"||myItem.name=="gaea-date-time"||myItem.name=="gaea-date-time-timerange"||myItem.name=="gaea-cascader"||myItem.name=="gaea-textarea"||myItem.name=="gaea-upload"||myItem.name=="gaea-form"||myItem.name=="gaea-icon-button"||myItem.name=="gaea-date-picker-daterange"||myItem.name=="gaea-date-picker"
        ||myItem.name=="gaea-label"||myItem.name=="gaea-label"||myItem.name=="gaea-input"||myItem.name=="gaea-input-number"||myItem.name=="gaea-checkboxMultiple"||myItem.name=="gaea-select"
       ||myItem.name=="gaea-radio"||myItem.name=="gaea-select"){
        builtInPlugins.push(myItem);
    }
    //note 判断每一步所需要的组件
});
debugger;
console.log(builtInPlugins);
console.log(JSON.stringify(builtInPlugins));
export default builtInPlugins;
